import { ElementRef, QueryList } from '@angular/core';
import { IonMarker } from './ion-marker';
import { NativeGoogleMapsProvider } from '../providers/native-google-maps';
import { Platform } from 'ionic-angular';
export declare class IonMaps {
    platform: Platform;
    mapsCtrl: NativeGoogleMapsProvider;
    /**
     * The latitude position of the map.
     */
    lat: number;
    /**
     * The longitude position of the map.
     */
    lng: number;
    /**
     * The height of the map. Default value is '100%'.
     */
    height: string;
    /**
     * The width of the map. Default value is '100%'.
     */
    width: string;
    /**
     * The zoom of the map. Default value is 16.
     */
    zoom: number;
    /**
     * The tilt of the map.
     */
    tilt: number;
    /**
     * Show your current position with a custom marker. Default value is false;
     */
    showGeolocation: boolean;
    /**
     * The style of the map.
     */
    mapStyle: string | any[];
    element: ElementRef;
    markers: QueryList<IonMarker>;
    constructor(platform: Platform, mapsCtrl: NativeGoogleMapsProvider);
    ngAfterContentInit(): void;
    centerToGeolocation(): Promise<any>;
}
