import { Component, Input } from '@angular/core';
var IonMarker = (function () {
    function IonMarker() {
        /**
           * If true, the marker can be dragged. Default value is false.
           */
        this.draggable = false;
        /**
           * If true, the marker will have a DROP animation on the screen. Default value is false.
           */
        this.animated = false;
        /**
           * If true, the marker is visible
           */
        this.visible = true;
        /**
           * Whether to automatically open the child info window when the marker is clicked.
           */
        this.openInfoWindow = true;
        /**
           * Only works on javascript maps.
           * The marker's opacity between 0.0 and 1.0.
           */
        this.opacity = 1;
        /**
           * All markers are displayed on the map in order of their zIndex, with higher values displaying in
           * front of markers with lower values. By default, markers are displayed according to their
           * vertical position on screen, with lower markers appearing in front of markers further up the
           * screen.
           */
        this.zIndex = 1;
    }
    IonMarker.decorators = [
        { type: Component, args: [{
                    selector: 'ion-marker',
                    template: "<template></template>"
                },] },
    ];
    /** @nocollapse */
    IonMarker.ctorParameters = function () { return []; };
    IonMarker.propDecorators = {
        "address": [{ type: Input },],
        "lat": [{ type: Input },],
        "lng": [{ type: Input },],
        "title": [{ type: Input },],
        "customHTML": [{ type: Input },],
        "parentClass": [{ type: Input },],
        "label": [{ type: Input },],
        "color": [{ type: Input },],
        "draggable": [{ type: Input },],
        "animated": [{ type: Input },],
        "iconUrl": [{ type: Input },],
        "visible": [{ type: Input },],
        "openInfoWindow": [{ type: Input },],
        "opacity": [{ type: Input },],
        "zIndex": [{ type: Input },],
    };
    return IonMarker;
}());
export { IonMarker };
//# sourceMappingURL=ion-marker.js.map