/// <reference types="googlemaps" />
import { ElementRef, QueryList, Renderer2 } from '@angular/core';
import { IonMarker } from './ion-marker';
export declare class IonStaticMapsComponent {
    private renderer;
    /**
     * The latitude position of the map.
     */
    address: string;
    /**
     * The latitude position of the map.
     */
    lat: number;
    /**
     * The latitude position of the map.
     */
    lng: number;
    /**
     * The height of the map. Default value is 400px.
     */
    height: number;
    /**
     * The width of the map. Default value is 400px.
     */
    width: number;
    /**
     * The zoom of the map. Default value is 15.
     */
    zoom: number;
    /**
     * The format of the map. Default value is png.
     */
    format: string | StaticIonMapFormat;
    /**
     * The language of the map.
     */
    language: string;
    /**
     * The type of the map.  Default value is ROADMAP.
     */
    mapType: string | google.maps.MapTypeId;
    /**
     * The style of the map.
     */
    mapStyle: string | any[];
    mapEl: ElementRef;
    mapMarkers: QueryList<IonMarker>;
    private markers;
    mapsUrl: string;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    generateMapsUrl(): string;
    buildMarkersUrl(): string;
    parseMapStyles(map: any): any;
    convertMapStyles(styles: any): any;
}
export declare enum StaticIonMapType {
    roadmap = "roadmap",
    satellite = "satellite",
    hybrid = "hybrid",
    terrain = "terrain",
}
export declare enum StaticIonMapFormat {
    png = "png",
    jpeg = "jpeg",
    gif = "gif",
}
