import { ModuleWithProviders } from '@angular/core';
import { GoogleMaps } from '@ionic-native/google-maps';
import { Geolocation } from '@ionic-native/geolocation';
import { IonMaps } from './components/ion-maps';
import { IonStaticMapsComponent } from './components/ion-static-maps';
import { IonMarker } from './components/ion-marker';
import { JavascriptGoogleMapsProvider } from './providers/javascript-google-maps';
import { NativeGoogleMapsProvider } from './providers/native-google-maps';
/**
 * Checks if the supplied document url is a one used by
 * cordova to load the app.
 *
 * @param {string} docUrl the current document url.
 */
export declare function isCordova(docUrl: string): boolean | RegExpMatchArray;
export declare function documentUrlFactory(): string;
export declare function gmapsProviderFactory(docUrl: string, geolocation: Geolocation, gmaps: GoogleMaps): NativeGoogleMapsProvider | JavascriptGoogleMapsProvider;
export declare const COMPONENTS: (typeof IonMarker | typeof IonMaps | typeof IonStaticMapsComponent)[];
export declare class IonMapsModule {
    static forRoot(config: any): ModuleWithProviders;
}
