import { Injectable } from '@angular/core';
import { mapSettings } from '../config/google-maps.settings';
var GoogleMapsLoader = (function () {
    function GoogleMapsLoader() {
    }
    GoogleMapsLoader.load = function () {
        // First time 'load' is called?
        if (!GoogleMapsLoader.promise) {
            // Make promise to load
            GoogleMapsLoader.promise = new Promise(function (resolve) {
                // Set callback for when google maps is loaded.
                window['__onGoogleMapsLoaded'] = function (ev) {
                    resolve('google maps api loaded');
                };
                var url = mapSettings.url, version = mapSettings.version, apiKey = mapSettings.apiKey;
                var mapsNode = document.createElement('script');
                mapsNode.src = url + "js?v=" + version + "&key=" + apiKey + "&callback=__onGoogleMapsLoaded";
                mapsNode.type = 'text/javascript';
                document.getElementsByTagName('head')[0].appendChild(mapsNode);
            });
        }
        // Always return promise. When 'load' is called many times, the promise is already resolved.
        return GoogleMapsLoader.promise;
    };
    GoogleMapsLoader.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    GoogleMapsLoader.ctorParameters = function () { return []; };
    return GoogleMapsLoader;
}());
export { GoogleMapsLoader };
//# sourceMappingURL=google-maps.loader.js.map