/// <reference types="googlemaps" />
import { Geolocation } from '@ionic-native/geolocation';
import { IonMarker } from '../components/ion-marker';
import { IonMaps } from '../components/ion-maps';
import { BaseGoogleMapsProvider } from './base-maps.interface';
export declare class JavascriptGoogleMapsProvider implements BaseGoogleMapsProvider {
    geolocation: Geolocation;
    map: google.maps.Map;
    markers: google.maps.Marker[];
    USGSOverlay: any;
    constructor(geolocation: Geolocation);
    create(map: IonMaps, markers?: any[]): Promise<any>;
    initMap(map: IonMaps): Promise<google.maps.Map>;
    setupCustomHTMLMarker(): void;
    addGeolocationPin(showGeolocation: any): Promise<void>;
    parseMapStyles(map: IonMaps): any;
    loadMarkers(markers: IonMarker[]): void;
    centerToGeolocation(): Promise<any>;
    getGeolocationPosition(): Promise<google.maps.LatLng>;
    centerToPosition(latLng: google.maps.LatLng): Promise<any>;
    addHtmlMarker(marker: IonMarker): void;
    addMarker(marker: IonMarker): Promise<google.maps.Marker>;
}
